:root {
  --media-type: computer;
  --header-height: 35px;
  --footer-size: 0;
}

@media screen and (max-width: 500px) {
  :root {
    --media-type: phone;
    --header-height: 35px;
    --footer-size: 0;
  }
}

body { padding: 0; margin: 0; font-family: 'Calibri'; overflow: hidden; box-sizing: border-box; }
h1 { color: #990000; font-size: 1.4rem; }
h2 { color: #555; font-size: 1.2rem; text-decoration: underline; }
a { color: blue; text-decoration: none; }
a:hover { text-decoration: underline; }

input[type="text"],
input[type="email"],
input[type="password"],
textarea,
select {
	padding: 6px;
	display: block;
	color: #555;
	width: calc(100% - 14px);
	border: 1px solid #C8DCE4; 
	font-family: "Calibri";
	margin: 0 0 1% 0;
	font-size: 1.1rem;
	border-radius: 5px;
}

select { width: calc(100%); }

/* Base for label styling */
input[type="checkbox"]:not(:checked),
input[type="checkbox"]:checked {
  position: absolute;
  left: -9999px;
}

input[type="checkbox"]:not(:checked) + label,
input[type="checkbox"]:checked + label {
	position: relative;
	padding-left: 1.60em;
	padding-top: 0em;
	cursor: pointer;
	font-size: 1.1rem;
	margin-right: 25px;
	margin-top: 10px;
}

input[type="checkbox"]:not(:checked) + label:before,
input[type="checkbox"]:checked + label:before {
  content: '';
  position: absolute;
  left: 0; 
  top: 0;
  width: 1.10em; 
  height: 1.10em;
  border: 2px solid #ccc;
  background: #fff;
  border-radius: 0px;
  padding: 0px;
  line-height: 1.30em;
}

input[type="checkbox"]:not(:checked) + label:after,
input[type="checkbox"]:checked + label:after {
  content: '✔';
  position: absolute;
  top: .15em; left: .14em;
  font-size: 1.15em;
  line-height: 0.8;
  color: #09ad7e;
  transition: all .2s;
  font-family: Helvetica, Arial, sans-serif;
}

input[type="checkbox"]:not(:checked) + label:after {
  opacity: 0;
  transform: scale(0);
}

input[type="checkbox"]:checked + label:after {
  opacity: 1;
  transform: scale(1);
}
input[type="checkbox"]:disabled:not(:checked) + label:before,
input[type="checkbox"]:disabled:checked + label:before {
  box-shadow: none;
  border-color: #bbb;
  background-color: #ddd;
}
input[type="checkbox"]:disabled:checked + label:after {
  color: #999;
}
input[type="checkbox"]:disabled + label {
  color: #aaa;
}
input[type="checkbox"]:checked:focus + label:before,
input[type="checkbox"]:not(:checked):focus + label:before {
  border: 2px solid #ED7D31;
}

.interline { margin-top: 5px; }
.interline-x2 { margin-top: 10px; }
.interline-x4 { margin-top: 20px; }

.button {	
	font-family: Calibri; 
	font-size: 1.2rem;
	text-transform: uppercase;
	width: 150px;
	height: 30px;
	line-height: 0px;
	background-color: #155149;
	border-radius: 0;
	color: white;
	cursor: pointer;
	transition: all 500ms;
	margin: 5px 0 5px 0;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;	
	border-radius: 5px;
	border-color: transparent;

	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	align-content: center;
}

.button.red { background-color: #FF4444; }
.button.pink { background-color: #E61396; }
.button.blue { background-color: #338BE2; }


a.button {
	color: #FFF;
	line-height: 30px;
	text-decoration: none;
}

.button:hover {	background-color: #000; }

button.disabled { background-color: #CCC; color: #FEFEFE; cursor: default; }

button.disabled:hover { background-color: #CCC; color: #555; cursor: default; }
.button.disabled:hover { background-color: #CCC; color: #FEFEFE; cursor: default; }


button.hide {
	display: none;
}

.button#install {
	display: none;
}

#header {
	height: calc(var(--header-height) - 10px);
	position: fixed;
	z-index: 100;
	margin: 0;
	top: 0;
	width: calc(100vw - 10px);
	padding: 5px;
	background-color: #CC3333;
	border-bottom: 1px solid #CCC;
}

#header #network-status,
#header #user-menu,
#header #version {
	position: absolute; 
	top: 5px;
	z-index: 101;
	color: white;
	font-size: 1rem;
	width: 20px;
	height: 20px;
	display: flex;
	justify-content: center;
	align-items: center;
	align-content: center;
	text-align: center;
	vertical-align: middle;
}

#header #network-status { right: 10px; top: 2px; height: 28px; }
#header #user-menu { left: 10px; top: 8px; height: 16px; }
#header #version { top: 0; left: 50%; height: var(--header-height); padding: 0; }


#header #network-status img,
#header #user-menu img {
	filter: invert(1);
	width: 20px;
	height: 20px;
}

#header #user-menu.disabled img {
	display: none;
}

#header #network-status.disabled img {
	filter: invert(1);
}

#header #hamburger {
}

#header #hamburger {
	position: absolute;
	display: block;
	top: 0;
	left: 10px;
    cursor: pointer;
    height: 5vh;
    padding: 0;
	margin: 0;
    width: 20px;
	z-index: 200;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
#header #hamburger.hide { display: none; } 

#header #hamburger div {
	width: 100%;
    background-color: #fff;
    border: 1px solid #eee;
    border-radius: 1px;
    height: 2px;
    margin: 2px 0 2px 0;
}

#menu {
	position: fixed;	
	top: 0;
	left: 0;
  	left: -100%; /* Hors écran au début */	
	width: 100vw;
	height: 100vh;
	background-color: white;	
	z-index: 102;
	border: 0;
	overflow-y: hide;
  	transition: left 0.5s ease; /* Animation de glissement */	
}
#menu.hide { left: -100vw; }
#menu.active { left: 0; }

#menu #title {
	height: calc(var(--header-height) - 10px);
	padding: 5px;
	border-bottom: 1px solid #CCC;
	display: flex;
	flex-direction: row;
	align-content: center;
	justify-content: center;
	background-color: #FFE6E6;
}

#menu #title span { 
	font-size: 1.1rem;        
	display: flex; /* Nécessaire si le texte doit être centré dans le span */
	align-items: center; /* Centre verticalement le texte */
	justify-content: center; /* Centre horizontalement le texte */
}

#menu #title #close {
	position: absolute;
	top: 7px;
	right: 5px;
	color: white !important;
	z-index: 102;
}

#menu ul {
	width: 100%;
	list-style: none;
	margin: 0;
	padding: 0;
}

#menu ul li {
	padding: 10px;
	border-bottom: 1px solid #DDD;
	width: calc(100% - 20px);
	font-size: 1.2rem;
	cursor: pointer;
}
#menu ul li.hide { display: none; }

#menu ul li a,
#menu ul li a:focus {
	color: black;
	text-decoration: none;
}

#menu #footer {
	position: absolute;
	left: 0;
	bottom: 0;
	background-color: #EEE;
	border-top: 1px solid #CCC;
	padding: 5px;
	width: calc(100% - 10px);
	text-align: center;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-content: center;
	font-size: 1.2rem;
}


#popup {
	position: fixed;
	width: 100vw;
	height: 100vh;
	background-color: white;	
	z-index: 101;
	border: 0;
	display: none;
	overflow-y: none;
}

#popup.active {
	display: flex;
}

#popup #wrapper {
	/*display: flex;*/
	flex-direction: column;
	justify-content: flex-start;
	align-content: flex-start;
	align-items: flex-start;
	text-align: center;
	margin-top: calc(var(--header-height) + 0px);
	padding: 40px 0px 20px 0px;
	width: calc(100%);
/*	height: calc(100% - 30px);*/
	min-height: calc(100vh - var(--header-height) - 60px);		
	overflow-y: auto;
	opacity: 0;
    transform: scale(0.5); /* Réduit par défaut */	
    transition: transform 0.3s ease, opacity 1s ease; /* Animation */	
}

#popup.active #wrapper {
	opacity: 1; /* Opacité normale */	
	transform: scale(1); /* Réduit par défaut */
	padding: 10px;
	width: calc(100% - 20px);
}

#popup #wrapper div { 
	padding: 20px 0 30px 0; 
	font-size: 1.2rem; 
	margin-top: 0;
	background-color: white;
	border-radius: 5px;
	height: auto;	
}

#popup #wrapper div ul { padding-top: 20px; margin: 0; }

#popup #wrapper div li {
	text-align: left;
	font-size: 1.2rem;
}

#popup #header {
	height: calc(var(--header-height) - 10px);
	position: fixed;
	z-index: 100;
	margin: 0;
	top: 0;
	width: calc(100vw - 10px);
	padding: 5px;
	background-color: #FFE6E6;
	border-bottom: 1px solid #CCC;
}

#popup #header #close {
	position: absolute;
	top: 5px;
	right: 5px;
	color: white;
	z-index: 102;
	cursor: pointer;
}

#popup button {
	position: absolute;
	bottom: 20px;
	left: 10px;
	width: calc(100% - 20px);
	background-color: #F03A17;
}

/*
* LOADER IMAGE
*/
#loader {
	position: fixed;
	width: 100vw;
	height: 100vh;
	z-index: 900;
	border: 0;
	display: none;
	overflow: hidden;
	justify-content: center;
	align-items: center;
	align-content: center;
	background-color: rgba(0,0,0,0.3);
	/*background-color: white;*/
	top: 0;
}

#loader.hide { display: none; }
#loader.show { display: flex; }

#loader img {
	max-width: 20%;
	opacity: 1;
}

@media screen and (max-width: 500px) {

	.button.last-page img { margin: 0; }
	.button.next-page img { margin: 0; }
	.button span { display: none; }

}